sdate(1)

NAME
sdate - never ending September date

SYNOPSIS
sdate [-e|--epoch yyyy-mm] [-c|--covid vv] [-l|--lib library] [--] [command]

DESCRIPTION
sdate runs a command in an environment wherein it wraps the libc localtime() and gmtime() calls such that the program will use the eternal September date. The wrapper functions are in a shared library /usr/lib/libsdate/libsdate.so* which is loaded through the LD_PRELOAD mechanism of the dynamic loader. (See ld.so(8))

OPTIONS

-e yyyy-mm, --epoch yyyy-mm
    Specify an alternative epoch, default is 1993-09.

-c vv, --covid vv
    Enable COVID mode, for the specified variant. Sets epoch to an appropriate value for the variant.

-l library, --lib library
    Specify an alternative wrapper library.

[--] command
    Any command you want to be ran. Use ‘--’ if in the command you have other options that may confuse sdate's option parsing.

-h  Display help.

-v  Display version.

FILES
/usr/lib/libsdate/* The shared library containing the wrapper functions.

ENVIRONMENT
LD_PRELOAD

LIMITATIONS

Library versions
    Every command executed within sdate needs to be linked to the same version of the C library as sdate itself.

SEE ALSO

http://www.catb.org/~esr/jargon/html/S/September-that-never-ended.html

https://www.df7cb.de/projects/sdate/

COPYING
sdate is distributed under the GNU General Public License. (GPL v2 or later).

AUTHORS

Christoph Berg
    <cb@df7cb.de>